- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ObjectImpl Class Reference

Inherits Object.

Inherited by AppenderSkeleton`[virtual]`, DefaultLoggerFactory`[virtual]`, AppenderAttachableImpl`[virtual]`, CharsetDecoder, CharsetEncoder, DatagramPacket, DatagramSocket, Date, DateFormat, InetAddress, InputStream, Integer, ObjectOutputStream, OnlyOnceErrorHandler`[virtual]`, OutputStream, Reader, ResourceBundle, Socket, TimeZone, Writer, Hierarchy`[virtual]`, Layout`[virtual]`, Level, Logger`[virtual]`, FormattingInfo`[virtual]`, NameAbbreviator, PatternConverter`[virtual]`, PropertyConfigurator`[virtual]`, Action`[virtual]`, RollingPolicyBase`[virtual]`, RolloverDescription, TriggeringPolicy`[virtual]`, DefaultRepositorySelector`[virtual]`, Filter`[virtual]`, LoggingEvent`[virtual]`, FallbackErrorHandler`[virtual]`, and DOMConfigurator`[virtual]`.

List of all members.

## Detailed Description

Implementation class for Object.

## Public Member Functions
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
## Protected Attributes
unsigned int volatile | ref

## Constructor & Destructor Documentation

ObjectImpl | ( |  | ) |

virtual ~ObjectImpl | ( |  | ) | `[virtual]`

## Member Function Documentation

void addRef | ( |  | ) | const`[virtual]`

| Implements Object. Reimplemented in AppenderSkeleton, AsyncAppender, AppenderAttachableImpl, OnlyOnceErrorHandler, Hierarchy, Layout, Logger, PropertyConfigurator, RollingPolicyBase, TimeBasedRollingPolicy, TriggeringPolicy, DefaultRepositorySelector, Filter, FallbackErrorHandler, and DOMConfigurator.

void releaseRef | ( |  | ) | const`[virtual]`

| Implements Object. Reimplemented in AppenderSkeleton, AsyncAppender, AppenderAttachableImpl, OnlyOnceErrorHandler, Hierarchy, Layout, Logger, PropertyConfigurator, RollingPolicyBase, TimeBasedRollingPolicy, TriggeringPolicy, DefaultRepositorySelector, Filter, FallbackErrorHandler, and DOMConfigurator.

## Member Data Documentation

unsigned int volatile ref`[mutable, protected]`

The documentation for this class was generated from the following file:

- objectimpl.h